# Class GetConnectionsRequest

#### Hierarchy

- unknown
  - GetConnectionsRequest

- Defined in src/protobuf/grpc_pb.d.ts:920
- Defined in src/protobuf/grpc_pb.d.ts:929

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetConnectionsRequest(): GetConnectionsRequest

- #### Returns GetConnectionsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:921

### toObject

- toObject(includeInstance?: boolean): GetConnectionsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetConnectionsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:922

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:925

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionsRequest, reader: BinaryReader): GetConnectionsRequest

- #### Parameters

  - ##### message: GetConnectionsRequest

  - ##### reader: BinaryReader

  #### Returns GetConnectionsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:926

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetConnectionsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:924

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetConnectionsRequest): GetConnectionsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionsRequest

  #### Returns GetConnectionsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:923

Generated using TypeDoc